﻿/**
 * @mxmlc +configname=air -source-path+=src -load-externs=report.xml -debug=true -o bin/VocaloplusEyecatch.swf
 */
package vocaloplus.modules.sounds
{
	import flash.media.Sound;
	
	import mx.modules.ModuleBase;
	
	import vocaloplus.modules.ISoundModule;
	
	/**
	 * サウンドを管理するモジュールです。</br>
	 * 音源がセリフしかなかったのでセリフを読み込むようになっています。
	 * 
	 * @author shiraminekeisuke (MineAP)
	 * @see http://www.adobe.com/livedocs/flex/3_jp/html/help.html?content=embed_4.html
	 */
	public class VocaloplusEyecatch extends ModuleBase implements ISoundModule
	{
		[Embed(source="/assets/voice/vocaloplus_eyecatch.mp3")]
		[Bindable]
		private var sndCls:Class;
		
		private var snd:Sound = new sndCls() as Sound; 
		
		public function VocaloplusEyecatch()
		{
			super();
		}
		
		public function get name():String
		{
			return "vocaloplus_eyecatch";
		}
		
		public function get type():String
		{
			return "voice";
		}
		
		public function get content():Sound
		{
			return snd;
		}
	}
}